<?php
/*
=====================================================
Cat Meta - Оптимизация категорий
-----------------------------------------------------
Автор : Gameer
-----------------------------------------------------
Site : http://gameer.name/
-----------------------------------------------------
Copyright (c) 2017 Gameer
=====================================================
Данный код защищен авторскими правами
*/

$proccess = isset($_POST["proccess"]) ? $db->safesql(trim(strip_tags(stripslashes($_POST["proccess"])))) : false;
if($proccess == "database")
{
	
	$active = empty($_POST['active']) ? "0" : intval($_POST['active']);
	$name = empty($_POST['name']) ? false : $db->safesql(trim(strip_tags(stripslashes($_POST['name']))));
	if($sql_name = $db->super_query("SELECT id FROM " . PREFIX . "_cat WHERE `name`='{$name}'"))
		msg("info", "Упс...", "<b>Данное поле уже есть в базе. <a href='$PHP_SELF?mod=cat_meta&amp;action=edit_cat&amp;id=$sql_name[id]'>Перейти к редактированию (нажимите на этот текст)</a></b>", "$PHP_SELF?mod=cat_meta&amp;action=add_cat");
	if($name == "main")
	{
		$cat_id = "main";
		$name = "Главная";
	}
	else
	{
		$cat_id = $name;
		$row = $db->super_query("SELECT name FROM " . PREFIX . "_category WHERE id='$name'");
		if(isset($row["name"])) $name = $row["name"];
	}
	$active_title 		= empty($_POST['active_title']) 			? "0" 	: intval($_POST['active_title']);
	$title 				= empty($_POST['title']) 				? "" 	: $db->safesql(trim(strip_tags(stripslashes($_POST['title']))));
	$pages_title 		= empty($_POST['pages_title']) 			? "2" 	: intval($_POST['pages_title']);
	
	$another_bottom_title = empty($_POST['another_bottom_title']) ? "" 	: $db->safesql(trim(strip_tags(stripslashes($_POST['another_bottom_title']))));
	$bottom_title 		= empty($_POST['bottom_title']) 			? "" 	: $db->safesql(trim(strip_tags(stripslashes($_POST['bottom_title']))));
	
	$another_title 		= empty($_POST['another_title']) 		? "" 	: $db->safesql(trim(strip_tags(stripslashes($_POST['another_title']))));
	$active_description = empty($_POST['active_description']) 	? "0" 	: intval($_POST['active_description']);
	$page_description 	= empty($_POST['page_description']) 		? "2" 	: intval($_POST['page_description']);
	$tpl 				= empty($_POST['tpl']) 					? ""	: $db->safesql(trim(strip_tags(stripslashes($_POST['tpl']))));
	
	include_once ENGINE_DIR . '/classes/parse.class.php';
	$parse = new ParseFilter( Array (), Array (), 1, 1 );
	
	$description = $parse->process( $_POST['description'] );
	$another_description = $parse->process( $_POST['another_description'] );
	$description = $db->safesql( $parse->BB_Parse( $description, false ) );
	$another_description = $db->safesql( $parse->BB_Parse( $another_description, false ) );
	
	if($db->query("INSERT INTO " . PREFIX . "_cat (name, title, another_title, pages_title, active_title, description, another_description, active, active_description, page_description, tpl, another_bottom_title, bottom_title, cat_id) VALUES ('$name', '$title', '$another_title', '$pages_title', '$active_title', '$description', '$another_description', '$active', '$active_description', '$page_description', '$tpl', '$another_bottom_title', '$bottom_title', '$cat_id')"))
	{
		$id_last = $db->insert_id();
		$db->query("UPDATE " . PREFIX . "_cat_files SET name='$id_last' WHERE name='0'");
		msg("info", "Успех!", "<font color=\"green\"><b>Добавление увенчалось успехом!</b></font>", "$PHP_SELF?mod=cat_meta");
	}
	else
		msg("info", "Все плохо!", "<font color=\"red\"><b>Что-то явно пошло не так!</b></font>", "$PHP_SELF?mod=cat_meta&amp;action=add_cat");
}
else
{
	echoheader( "<i class=\"icon-list-alt\"></i> Cat Meta", "Добавление описания для категорий" );
	$id = 0;
	function SetOption(&$item, $key)
	{
		$item = "<option value=\"{$key}\">" . $item . "</option>";
	}
	$field_value = array();
	$sql_data = $db->query("SELECT * FROM " . PREFIX . "_cat");
	$add_data = array();
	while($row = $db->get_row($sql_data))
		$add_data[] = $row["cat_id"];
	$field_value["main"] =  "Главная";
	foreach($cat_info as $key => $val)
	{
		if(!in_array($val["id"], $add_data))
			$field_value[$val["id"]] =  $val["name"];
	}
	if(in_array("main", $add_data))
		unset($field_value["main"]);
	if(count($field_value))
	{	
		$field_value = array_unique($field_value);
		array_walk($field_value, 'SetOption');
		$field_value = implode("", $field_value);
	}
echo <<< HTML
<div class="box">
	<div class="box-header"><div class="title">Добавление описания для категорий</div></div>
	<div class="box-content">
		<form method="post" class="form-horizontal" action="">
			<div class="tab-content">
				<div class="tab-pane active" id="tabhome">
					<div class="row box-section">
							
						<div class="form-group">
							<label class="control-label col-xs-2" style="padding-left: 7px;">Где показывать описание:</label>
							<div class="col-xs-10">
								<select name="active" style="width: 100%;" class="uniform">
									<option value="0">Нигде</option>
									<option value="1">Только на первой странице</option>
									<option value="2">На всех страницах</option>
								</select>
							</div>
						</div>

						<div class="form-group">
							<label class="control-label col-xs-2" style="padding-left: 7px;">Название значения :</label>
							<div class="col-xs-10">
								<select data-placeholder="Выберите значение" class="valueselect" name="name" id="name" style="width:100%;max-width:350px;">{$field_value}</select>
							</div>
						</div>

						<div class="form-group">
							<label class="control-label col-xs-2" style="padding-left: 7px;">Показывать ли заголовок</label>
							<div class="col-xs-10">
								<select name="active_title" style="width: 100%;" class="uniform">
									<option value="0">Нет</option>
									<option value="1">Да</option>
								</select>
							</div>
						</div>

						<div class="form-group">
							<label class="control-label col-xs-2" style="padding-left: 7px;">Где показывать заголовок</label>
							<div class="col-xs-10">
								<select name="pages_title" style="width: 100%;" class="uniform">
									<option value="1">Только на первой странице</option>
									<option value="2">На всех страницах</option>
								</select>
							</div>
						</div>
						
						<div class="form-group">
							<label class="control-label col-xs-2" style="padding-left: 7px;">Заголовок :</label>
							<div class="col-xs-10">
								<input type="text" style="width:99%;max-width:437px;" name="title" id="title" value="">
							</div>
						</div>
						
						<div class="form-group" id="set_another_title" style="display:none;">
							<label class="control-label col-xs-2" style="padding-left: 7px;">Заголовок для других страниц:</label>
							<div class="col-xs-10">
								<input type="text" style="width:99%;max-width:437px;" name="another_title" id="another_title" value="">
							</div>
						</div>
						
						<div class="form-group">
							<label class="control-label col-xs-2" style="padding-left: 7px;">Заголовок для низа:</label>
							<div class="col-xs-10">
								<input type="text" style="width:99%;max-width:437px;" name="bottom_title" id="bottom_title" value="">
							</div>
						</div>
						
						<div class="form-group" id="set_another_title_down_2" style="display:none;">
							<label class="control-label col-xs-2" style="padding-left: 7px;">Заголовок для низа для других страниц:</label>
							<div class="col-xs-10">
								<input type="text" style="width:99%;max-width:437px;" name="another_bottom_title" id="another_bottom_title" value="">
							</div>
						</div>
						
						<div class="form-group">
							<label class="control-label col-xs-2" style="padding-left: 7px;">Показывать ли Описание</label>
							<div class="col-xs-10">
								<select name="active_description" style="width: 100%;" class="uniform">
									<option value="0">Нет</option>
									<option value="1">Да</option>
								</select>
							</div>
						</div>
						
						<div class="form-group">
							<label class="control-label col-xs-2" style="padding-left: 7px;">Где показывать Описание</label>
							<div class="col-xs-10">
								<select name="page_description" style="width: 100%;" class="uniform">
									<option value="1">Только на первой странице</option>
									<option value="2">На всех страницах</option>
								</select>
							</div>
						</div>
						
						<div class="form-group">
							<label class="control-label col-xs-2" style="padding-left: 7px;">Описание :</label>
							<div class="col-xs-10">
HTML;
									$bb_editor = true;
									$setFieldName = "description";
									include (ENGINE_DIR . '/inc/cat_meta/cat_bbcode.php');
echo <<< HTML
									{$bb_code}
									<textarea class="bk" style="width:100%;max-width:950px;height:300px;" onfocus="setFieldName(this.name)" name="description" id="description"></textarea> 
							</div>
						</div>
						
						<div class="form-group" id="set_another_description" style="display:none;">
							<label class="control-label col-xs-2" style="padding-left: 7px;">Описание для других страниц:</label>
							<div class="col-xs-10">
									{$bb_panel}
									<textarea class="bk" style="width:100%;max-width:950px;height:300px;" name="another_description" onfocus="setFieldName(this.name)" id="another_description"></textarea> 
							</div>
						</div>
						
						<div class="form-group">
							<label class="control-label col-xs-2" style="padding-left: 7px;">Шаблон оформления :</label>
							<div class="col-xs-10">
								<input type="text" style="width:99%;max-width:437px;" name="tpl" id="tpl" value="">
							</div>
						</div>
						<button class="btn btn-green">Добавить</button>
						<a class="btn btn-red" href="$PHP_SELF?mod=cat_meta">Назад</a>
					</div>
				</div>
			</div>
			<input type="hidden" name="action" value="add_cat" />
			<input type="hidden" name="proccess" value="database" />
			<input type="hidden" name="mod" value="cat_meta" />
		</form>
	</div>
</div>
<script>

	$(function()
	{
		$('.valueselect').chosen({allow_single_deselect:true, no_results_text: 'Ничего не найдено'});
	});


	var chek = $( "[name=page_description] option:selected" ).val();
	if (chek == 1)
		$("#set_another_description").show();
	else
		$("#set_another_description").hide();
	
	var cheked = $( "[name=pages_title] option:selected" ).val();
	if (cheked == 1)
	{
		$("#set_another_title").show();
		$("#set_another_title_down_2").show();
	}
	else
	{
		$("#set_another_title").hide();
		$("#set_another_title_down_2").hide();
	}

	$("body").on("click", "[name=page_description]", function()
	{
		var chek = $( "[name=page_description] option:selected" ).val();
		if (chek == 1)
			$("#set_another_description").show();
		else
			$("#set_another_description").hide();
	});
	$("body").on("click", "[name=pages_title]", function()
	{
		var cheked = $( "[name=pages_title] option:selected" ).val();
		if (cheked == 1)
		{
			$("#set_another_title").show();
			$("#set_another_title_down_2").show();
		}
		else
		{
			$("#set_another_title").hide();
			$("#set_another_title_down_2").hide();
		}
	});
</script>
HTML;
echofooter();
}
?>