<?php
/*
=====================================================
Cat Meta - Оптимизация категорий
-----------------------------------------------------
Автор : Gameer
-----------------------------------------------------
Site : http://gameer.name/
-----------------------------------------------------
Copyright (c) 2017 Gameer
=====================================================
Данный код защищен авторскими правами
*/

@error_reporting ( E_ALL ^ E_WARNING ^ E_NOTICE );
@ini_set ( 'display_errors', true );
@ini_set ( 'html_errors', false );
@ini_set ( 'error_reporting', E_ALL ^ E_WARNING ^ E_NOTICE );

define( 'DATALIFEENGINE', true );
define( 'ROOT_DIR', substr( dirname(  __FILE__ ), 0, -12 ) );
define( 'ENGINE_DIR', ROOT_DIR . '/engine' );

include ENGINE_DIR . '/data/config.php';
require_once ENGINE_DIR . '/classes/mysql.php';
require_once ENGINE_DIR . '/data/dbconfig.php';
require_once ENGINE_DIR . '/modules/functions.php';

dle_session();

require_once ENGINE_DIR . '/modules/sitelogin.php';
require_once ROOT_DIR . '/language/' . $config['langs'] . '/website.lng';
@header( "Content-type: text/html; charset=" . $config['charset'] );

if($member_id['user_group'] != 1) return;

$data = array();

$error = false;
$files = array();

$uploaddir = ROOT_DIR . '/uploads/cat_img/' . date('Y-m-d') . '/';

if(!is_dir($uploaddir))
{
	if(!mkdir( $uploaddir, 0777 ))
		$error = true;
}
if($error == false)
{
	foreach( $_FILES as $file )
	{
		$file_info = pathinfo($file['name']);
		if(!in_array($file_info['extension'], array("jpg", "png", "jpeg"))) continue;
		
		$file_name = date('H_i_s') . '_' . $file_info['filename'];
		$file['name'] = iconv("UTF-8", "windows-1251", $file_name);
		$file['name'] = totranslit(stripslashes($file['name']), true, false);
		$file['name'] .= "." . $file_info['extension'];
		$name_db = $config['http_home_url'] . 'uploads/cat_img/' . date('Y-m-d') . '/' . $file['name'];
		
		$name_bd = 'uploads/cat_img/' . date('Y-m-d') . '/' . $file['name'];
		$name_bd = $db->safesql($name_bd);
		
		if( move_uploaded_file($file['tmp_name'], $uploaddir . $file['name']) )
		{
			$files[] = "[center][img]" . $name_db ."[/img][/center]";
			$db->query("INSERT INTO " . PREFIX . "_cat_files (name, url, author) VALUES ('0', '$name_bd', '{$member_id["name"]}')");
		}
		else
			$error = true;
	}
}
$data = $error ? array('error' => 'Ошибка загрузки файлов.') : array('files' => $files );

echo json_encode($data);
?>