<?php
/*
=====================================================
Cat Meta - Оптимизация категорий
-----------------------------------------------------
Автор : Gameer
-----------------------------------------------------
Site : http://gameer.name/
-----------------------------------------------------
Copyright (c) 2017 Gameer
=====================================================
Данный код защищен авторскими правами
*/

if (!defined('DATALIFEENGINE')) return;
if ($dle_module == 'cat' && isset($_GET['category']) && $_GET['category'] || $dle_module == "main")
{
	if($dle_module == "main")
		$cat_id = "main";
	else
		$cat_id = intval($category_id);
	
	$page = empty($_GET['cstart']) ? 0 : intval($_GET['cstart']);
	
	$is_change = false;
	if($config['allow_cache'] != '1')
	{
		$config['allow_cache'] = '1';
		$is_change = true;
	}
	
	$cat_meta = false;
	$cat_meta = dle_cache( "cat_meta_" . $cat_id . $page . $bottom, $config['skin'], false);
	
	if($cat_meta !== false)
	{
		echo $cat_meta;
		if ($is_change)
			$config['allow_cache'] = false;
		return;
	}
	
	$row = $db->super_query("SELECT * FROM " . PREFIX . "_cat WHERE cat_id='$cat_id'");
	
	if($dle_module == "main")
		$cat_name = "";
	else
		$cat_name = $cat_info[$category_id]["name"];
	
	if($row['tpl'])
		$tpl->load_template("cat_meta/" . $row['tpl'] . ".tpl");
	else
		$tpl->load_template("cat_meta/template.tpl");
	
	if(	$row != NULL && $row['active'] != 0)
	{
		if($row['active_title'] == 1)
		{
			if($row['title'] != '' && ($row['pages_title'] == 2  || (($row['pages_title'] == 1 || $row['active'] == 1 || $row['active'] == 2) && $page < 2)))
			{
				if($bottom == "true")
					$row['title'] = $row['bottom_title'];
				$name = str_replace("{value}", $cat_name, stripslashes($row['title']));
			}
			elseif ($row['another_title'] != '' && $row['pages_title'] == 1 && $page >= 2 && $row['active'] == 2) 
			{
				if($bottom == "true")
					$row['another_title'] = $row['another_bottom_title'];
				$name = str_replace("{value}", $cat_name, stripslashes($row['another_title']));
			}
			else
				$name = "";
		}
		
		if($row['active_description'] == 1)
		{
			if ($row['description'] != '' && ($row['page_description'] == 2 || ($row['page_description'] == 1 || $row['active'] == 1 || $row['active'] == 2) && $page < 2)) 
			{
				if($bottom == "true")
				{
					$description_array = explode("{DOWN}", $row['description']);
					$row['description'] = end($description_array);
				}
				else
				{
					$description_array = explode("{DOWN}", $row['description']);
					$row['description'] = array_shift($description_array);
				}
				$description = str_replace("{value}", $cat_name, stripslashes($row['description']));
			}
			elseif ($row['page_description'] == 1 && $page >= 2 && $row['another_description'] != '' && $row['active'] == 2) 
			{
				if($bottom == "true")
				{
					$description_array = explode("{DOWN}", $row['another_description']);
					$row['another_description'] = end($description_array);
				}
				else
				{
					$description_array = explode("{DOWN}", $row['another_description']);
					$row['another_description'] = array_shift($description_array);
				}
				$description = str_replace("{value}", $cat_name, stripslashes($row['another_description']));
			}
			else
				$description = "";
		}
		
		if($bottom == "true")
		{
			$tpl->set_block( "'\\[bottom\\](.*?)\\[/bottom\\]'si", "\\1" );
			$tpl->set_block( "'\\[top\\](.*?)\\[/top\\]'si", "" );
		}
		else
		{
			$tpl->set_block( "'\\[bottom\\](.*?)\\[/bottom\\]'si", "" );
			$tpl->set_block( "'\\[top\\](.*?)\\[/top\\]'si", "\\1" );
		}
		
		if($row['active_title'] == 0 || $name == '') 
		{
			$tpl->set_block( "'\\[show_title\\](.*?)\\[/show_title\\]'si", "" );
			$tpl->set( '{title}', "");
		} 
		else 
		{
			$tpl->set_block( "'\\[show_title\\](.*?)\\[/show_title\\]'si", "\\1" );
			$tpl->set( '{title}', $name);
		}
		
		if($row['active_description'] == 0 || $description == '') 
		{
			$tpl->set_block( "'\\[show_description\\](.*?)\\[/show_description\\]'si", "" );
			$tpl->set( '{description}', "");
		} 
		else 
		{
			$tpl->set_block( "'\\[show_description\\](.*?)\\[/show_description\\]'si", "\\1" );
			$tpl->set( '{description}', trim($description));
		}
		
		$tpl->compile('cat_meta');
		
		create_cache( "cat_meta_" . $cat_id . $page . $bottom, $tpl->result['cat_meta'], $config['skin'], false );
		
		if ($is_change)
			$config['allow_cache'] = false;
	}
	
	$tpl->clear();
	echo $tpl->result['cat_meta'];
}
?>